[coreboot] [PATCH] fix stage0_i586.S in v3

Segher Boessenkool segher at kernel.crashing.org
Fri Apr 4 21:09:34 CEST 2008

>> It works in older versions. The version you used is buggy. There is no
>> reason not to blacklist that broken version unless someone can prove
>> that the new behaviour is correct according to any spec.
> That's plain wrong, sorry. I also used 2.17 and the error is the same. 
> So the two latest stable versions of binutils don't work with that 
> code. You won't get that code to translate unless you use an 
> experimental version of binutils (snapshot).

There is nothing "experimental" about binutils mainline.

> So either we get this problem solved differently or I'll have to go 
> ahead and check the patch in. Relying on experimental toolchains is 
> not an option. Even if your toolchain provider uses experimental 
> binutils versions, that's nothing we should enforce.

Not if there's a sane workaround, no.


More information about the coreboot mailing list